Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Openssl] Conflits avec bindist ?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Skwal
n00b
n00b


Joined: 07 Jun 2019
Posts: 56

PostPosted: Sat Aug 03, 2019 11:42 am    Post subject: [Openssl] Conflits avec bindist ? Reply with quote

Bonjour,

Je viens vous voir aujourd'hui car j'ai un problème avec Openssl que je ne comprends pas, et je crois que malheureusement ben ça m'en amène d'autres.
Il me semble que ça a commencé avec l'installation de firefox...
Lorsque que j'essaie de faire une mise à jour j'ai le droit à ce message:
Quote:
WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-libs/openssl:0

(dev-libs/openssl-1.1.1c:0/1.1::gentoo, ebuild scheduled for merge) conflicts with
>=dev-libs/openssl-1.1.0g:0[-bindist] required by (net-misc/openssh-8.0_p1-r2:0/0::gentoo, installed)
^^^^^^^^
dev-libs/openssl:0[-bindist(-)] required by (dev-python/cryptography-2.6.1:0/0::gentoo, installed)

>=dev-libs/openssl-1.0.2:0/1.1=[-bindist,abi_x86_32(-),abi_x86_64(-)] required by (net-libs/nghttp2-1.39.1:0/1.14::gentoo, installed)
^^^^^^^^
>=dev-libs/openssl-1.0.2k:0/1.1=[-bindist] required by (net-wireless/wpa_supplicant-2.8-r1:0/0::gentoo, installed)
^^^^^^^^
>=dev-libs/openssl-1.0.2k:0=[-bindist] required by (net-wireless/wpa_supplicant-2.8-r1:0/0::gentoo, installed)
^^^^^^^^
dev-libs/openssl:0/1.1=[-bindist] required by (dev-qt/qtnetwork-5.12.4:5/5.12::gentoo, installed)
^^^^^^^^
>=dev-libs/openssl-1.0.2:0=[-bindist,abi_x86_32(-),abi_x86_64(-)] required by (net-libs/nghttp2-1.39.1:0/1.14::gentoo, installed)
^^^^^^^^
dev-libs/openssl:0=[-bindist] required by (dev-qt/qtnetwork-5.12.4:5/5.12::gentoo, installed)


Je ne comprend pas ce que Gentoo veut me dire, j'espère ne pas avoir fait n'importe quoi pendant l'installation.

Voici également mon "emerge --info":
Quote:
Portage 2.3.70 (python 3.6.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-9.1.0, glibc-2.29-r3, 5.2.5-gentoo x86_64)
=================================================================
System uname: Linux-5.2.5-gentoo-x86_64-Intel-R-_Core-TM-_i5-6400T_CPU_@_2.20GHz-with-gentoo-2.6
KiB Mem: 8080360 total, 2429512 free
KiB Swap: 9437180 total, 9437180 free
Timestamp of repository gentoo: Sat, 03 Aug 2019 11:00:01 +0000
Head commit of repository gentoo: 9ad686380c0ed630b64fdcb9d36c56e1927c7871
sh bash 5.0_p7
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash: 5.0_p7::gentoo
dev-lang/perl: 5.30.0::gentoo
dev-lang/python: 2.7.16::gentoo, 3.6.9::gentoo
dev-util/cmake: 3.15.1::gentoo
sys-apps/baselayout: 2.6-r1::gentoo
sys-apps/sandbox: 2.18::gentoo
sys-devel/autoconf: 2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake: 1.16.1-r1::gentoo
sys-devel/binutils: 2.32-r1::gentoo
sys-devel/gcc: 9.1.0-r1::gentoo
sys-devel/gcc-config: 2.0::gentoo
sys-devel/libtool: 2.4.6-r5::gentoo
sys-devel/make: 4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.1::gentoo (virtual/os-headers)
sys-libs/glibc: 2.29-r3::gentoo
Repositories:

gentoo
location: /usr/portage
sync-type: rsync
sync-uri: rsync://rsync.gentoo.org/gentoo-portage
priority: -1000
sync-rsync-extra-opts:
sync-rsync-verify-jobs: 1
sync-rsync-verify-max-age: 24
sync-rsync-verify-metamanifest: yes

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc/php/cli-php7.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=" --quiet-build=y --with-bdeps=y --jobs=1"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5 -l5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cdr cli crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif expat fam ffmpeg fftw flac fortran gdbm gif glamor gles gphoto2 gpm gtk iconv icu ipv6 jack jpeg kde kipi kwallet ladspa lcms ldap libnotify libtirpc mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses nls nptl ogg openal openexr opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio python qml qt5 readline sdl seccomp semantic-desktop spell split-usr sse sse2 sse3 ssl startup-notification static-libs svg systemd tcpd threads tiff truetype udev udisks unicode upower usb v4l vaapi vorbis vulkan wayland widgets wxwidgets x264 x265 xattr xcb xcomposite xinerama xml xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="hda-intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" L10N="fr" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24 ruby25 ruby26" USERLAND="GNU" VIDEO_CARDS="intel radeonsi amdgpu radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


J'ai désactivé le flag bindist dans les package.use et dans le make.conf mais ça ne change rien. :?

En espérant avoir été assez explicite et que vous puissiez m'aider, je vous remercie ! :)
Back to top
View user's profile Send private message
El_Goretto
Moderator
Moderator


Joined: 29 May 2004
Posts: 3101
Location: Paris

PostPosted: Sat Aug 03, 2019 3:57 pm    Post subject: Reply with quote

Il y a plusieurs sources potentielles de conflits, suivant ce que demandent les ebuilds et l'état du système: les versions (correspondant à des "slots" de version pour openssl: openssl:0, cad n'importe quelle version, openssl:1.1, etc.) et il y a aussi les USE flags.

Vérifie que tu n'as pas installé une version spécifique d'openssl en la forçant (regarde dans ton fichier world). Et vérifie que tu as bien joué au niveau global du système avec le use flag bindist (je me demande si openssh ne l'a pas aussi).
Car autant la cohérence des versions et des slots est de la responsabilité des mainteneurs des paquets dans portages (pour la version stable, à moins que tu ne joues avec les keywords), autant les use flags, c'est toi (l'admin du système) que ça regarde (vu que c'est la source n°1 de customisation de Gentoo).
_________________
-Gentoo hardened [EoL]: µ-serv Gen8 G1610T, 8Go ECC ; NF9D-2700, 4Go
-FreeBSD 11/Vimage/Jails: DS61, i3 2100T, 16Go ; FreeNAS: µ-serv N40L, 8Go ECC
-Réseau: ERL-3 + ESL-24 + GS108Tv2
-NAS: RN312
Back to top
View user's profile Send private message
Skwal
n00b
n00b


Joined: 07 Jun 2019
Posts: 56

PostPosted: Mon Aug 05, 2019 6:55 am    Post subject: Reply with quote

Bonjour El_Goretto,

Actuellement j'ai cassé Gentoo *sigh*, je ne peux donc plus continuer ce sujet pour le moment...
Je vais faire un nouveau sujet avec mon problème majeur actuel.

Merci ! :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum